PhotoWatermark Professional
Top Next

PhotoWatermark Professional - the tool to create professional watermarks

Whether you want to watermark your pictures one-by-one or in batch, PhotoWatermark Professional is the right tool you can rely on. With both power and ease of use, it allows a mixture of text, drawing and graphic watermarks. A variety of text styles including angled, outlined, gradient or texture filled, 3D shadowed, inner shadowed, embossed and engraved texts render you watermarks that speak of professionalism. To include copyright and other symbols in watermarks requires just a single click. The relative watermark position and size give your watermarks a consistent appearance on your products. Transparency setting allows you to choose how your pictures will be presented to your potential customers. Watermarks can extract various EXIF, IPTC and file information from individual photo. Most common graphic formats of JPEG, TIFF, PNG, Bitmap, GIF, JPEG2000 and a number of digital camera raw files are supported. A built-in watermark file manager helps you manage multiple watermarks for different purposes. You can save your favorite watermarks into the watermark library library and reuse later. Real time hints are available for beginners. PhotoWatermark Professional supports a combination of batch watermarking, cropping, converting, resizing, renaming, enhancing, framing and printing. You can expect all these wonderful features, and much more! You are guaranteed to create your first watermark in 60 seconds!


PowerBatch
Previous Top Next

PowerBatch is released as a separate product which contains all PhotoWatermark Professional features EXCEPT watermarking. Our purpose is to provide a nice freeware image utility for those who do not need watermarking.

Please refer to the rest part of the help file for details.

See also:
PhotoWatermark Professional
Features
What is new?


Why PhotoWatermark Professional

· Save time
PhotoWatermark Professional simplify the process of creating and applying watermarks to a large number of images.

· Save money
Unlike invisible watermark application for which you pay by the number of uses ($49 for 99 images, DigiMarc®), PhotoWatermark Professional license does not limit your number of watermarked images. The more images watermarked by PhotoWatermark Professional, the more money you save.

· Piece of mind
Invisible watermark applications require you to track illegal use of your images. When your images are used in non-internet mediums, you will have a hard time keeping track of their use. PhotoWatermark Professional's visible watermark always appears on your pictures no matter what medium is used.

· A new way of advertising
Unlike invisible watermark application for which special programs are required to view the watermark, PhotoWatermark Professional's visible watermark offers you an all-proof inexpensive way of advertising for you. Whether your pictures appear on the internet, magazines, prints or any other types of media, your company logos always stay there. They are helping you advertise without spending you a penny.

· Best customer service in industry
We have the fastest customer inquiry response and best support in the industry. We have managed to respond to all inquiries within 24 hours since the birth of this program in 2002 except in cases emails provided by the users were unreachable.


Features

· Green program: Everything is in a single folder.
· Batch: One step to process large number of photos (all files in a folder and also in its subfolders at the same time) including combinations of
· Batch watermarking.
· Batch renaming: name files either in order or using EXIF date and time picture taken.
· Batch resizing: choose among predefined and custom sizes using one of the 11 resampling filters.
· Batch converting: choose among JPEG, TIFF, Bitmap, GIF, PNG and JPEG 2000.
· Batch enhancing: drop shadow, border, rotate, sharpen or soften, change canvas and colors, etc.
· Batch cropping: define a crop window for each picture or load the predefined window for all pictures and they will be cropped on your wish.
· Batch framing: decorate your pictures with various frames.
· Rich watermark types: You can have mixture of line, box, ellipse, polygon, text, image, age, image file info, EXIF table, date time picture take, camera setting, camera model, today's date and time, sequence number, and frame watermarks.
· Fantastic text styles: A variety of text styles including angle, outline, gradient or texture fill, shadow, Shadow3D, innershadow, emboss and engrave.
· Most robust text watermarks: Text watermarks supports multiple lines, symbols (e.g. copyright), image file information, EXIF and IPTC tags which can be updated automatically with each picture.
· Automatic watermarks:Image file info, Date time picture taken, EXIF table, Age, Camera model, Camera settings, Sequence number, Frame.
· Image manipulations: A variety of image effects for image watermarks: emboss, tile, twist etc.
· Smooth watermark rendering.
· Adjustable transparency setting: Each watermark can have its own transparency level between 0 and 100. 0 means totally opaque and 100 means totally transparent.
· Automatic watermark size: Automatically size watermark to cover a certain percent of your image if you specify watermark size in percent.
· Automatic watermark position: Automatically position your watermarks relative to the border of your images if you specify watermark auto position.
· Paste bitmap or Windows Meta image from clipboard.
· High quality scalable vector watermarks.
· Watermark manager: Maximize your creativity, create multiple watermark files for different purposes.
· What you see is what you get interface.
· Explorer-style folder tree view and file list view.
· Common image file support: Load and save JPEG, GIF, PNG, TIFF, BITMAP and JPEG2000. Load digital camera raw files.
· Watermark animated GIF and multiple page TIFF.
· Live hints for beginner to start.


What is new?

May 20, 2005 V6.0.2.1
· New commandline parameters.
· New: Minimize to tray during batch processing. Click tray icon to restore.
· New: Displays Adobe opentype fonts with .otf extension in addition to the previous .ttf fonts.
· Improved innershadow appearance. Warning: it slows down exponentially when you increase the output image size.
· Image size can have a single number which represents the width of the picture. The height is calculated automatically with the original picture's aspect ratio.
· Fixed bugs in using commandline switches.
· Fixed not displaying images without archive attribute bug.
· Fixed search page display problem.

May 18, 2005 V6.0.1.0
· Improved library feature: now you can save any watermark in the library. The new library file format has changed but the old library PNG files can still be recognized.
· Loads thumbnails using multiple threads.
· Now setup will detect whether the program is running.
· Any new setup will reset the watermark.ini file.

May 11, 2005 V6.0.0.0

Official release of the first version 6. See features for details.

New features over PhotoWatermark Professional version 5.x

· Live hints for beginners. The hints guide you to start to create your first watermark and apply it to a list of images.
· Inner shadow text style. This gives you a smooth center-elevated text style seen in Adobe PhotoShop. However, creating this text style is a lot easier than PhotoShop.
· Watermark library. This is where you can choose sample watermarks and save your favorite watermarks for future use. The library watermarks are saved as special PNG files which contain watermark setting. Therefore, if you edit them with an image editor, you will loose them.
· Load a number of digital camera raw image files.
· Full integration of image file information, EXIF, IPTC, date time, and sequence number with text watermarks.

You type something like
You may get something like depending on your picture
Date picture taken {EXIF|15|yyyy-mm-dd}
Exposure time {EXIF|10}
F number {EXIF|11}
ISO {EXIF|13}
This is No. {NUMB|###|1} picture
Today is {TODAY|yyyy-mm-dd}
Date picture taken 2001-05-20
Exposure time 1/500
F number 5.6
ISO 100
This is No. 009 picture
Today is 2005-05-03

· The above integration also applies to rename template.
· Adjustable drop shadow to main image.
· Interface improvement.
· Watermark sensitive context menu.
· Easily insert 0 to 255 ASCI symbols.
· New tag rule for symbol, EXIF, IPTC and other image data. New tags are not compatible with old watermark files.


System requirements

PhotoWatermark Professional is a 32-bit Windows program which can run on all versions of Windows including Win95/98/NT/2K/XP/2003.

It can also be run on MacOS with MacOS Virtual PC installed. Virtual PC can be purchased at http://www.microsoft.com/mac/products/virtualpc/virtualpc.aspx?pid=virtualpc. We have no relationship with Microsoft.

Suggested hardware setting: PC with Pentium III processor or above and 256 MB ram. Programs works best on Windows XP.


License and free trial

This software is provided AS-IS, without warranty of any kind, either expressed or implied. In no event shall the author be held liable for any damages arising from the use of this software. You should always work on a copy of your original photo files. Never watermark your original photos directly. This is irreversible. If this is done by mistake, do NOT ask for help since NOBODY can help you with this.

The version of the program released to the public is a free trial which adds a demo watermark to your images. Otherwise, it is fully-functional without time limit. License can be purchased at http://www.photowatermark.com/signup.php. The licensed version has no limitation.

Both PayPal and 2CheckOut are authorized retailer of this program. Purchase can be made by Visa, Master Card, American Express, Discover cards, and e-checks.


Credits

Jordan Russell
Alex A. Denisov
Roy Magne Klever
Momot Alexander
BitSoft Development, L.L.C.
Chen Yu
Jan Verhoeven
Robert Lee
Zafir Anjum
Joseph Leung Yat Chun
Peter Martinsson
Sigi H
Jason Cole
Jill Sybalsky
Antony Pranata


Support

Web site: http://www.photowatermark.com
Support: support@photowatermark.com
Member logon: http://member.photowatermark.com/member.php

All questions will be answered sequentially and in a timely manner. In rare circumstances, answers may be delayed. The quality and response time of our customer service have been rated highly by our customers. See user review.


Before you start

Before you start, please take a look and understand the following glossary.

watermark refers to a line, box, ellipse, polygon, text, image, image file info, EXIF table, age, date time picture taken, camera setting, camera model, last watermarked, auto number or frame. All these watermarks can be found under the Watermark menu.

watermark file refers to a proprietary formatted file that contains a number of watermarks created by the user. A watermark file is created automatically when you create a watermark from the Watermark menu if you do not have a watermark file selected in the watermark manager. If you have one watermark file selected, watermarks are added to this file. Watermark files are stored in a folder called "My Documents\My Watermarks". If there is no "My Documents" folder available, it will be a subfolder of the program's folder.

watermark manager is a file manager that resides on the right side which shows the list of watermark files. You can switch among watermark files by a single click. You can also delete, rename, create watermark files with the right button menu of the watermark manager.

watermark editor is a window on the right (if docked) a floating window (if old interface is selected). When you select a watermark, this editor is activated to allow you change the text, position, size in percent, borders, birthday, or the image effect. The context menu for this editor is the Edit menu.

library refers to a number of preformatted watermarks that are saved in a folder called library under program's folder or under "My Documents\My Watermarks" folder. The user can also save any watermark as a library watermark. A library watermark can be inserted and the text can be changed to fit your need but the format retains.

frame three kinds of frames. One is a frame watermark which can be inserted from the Watermark menu. The second one is a decoration frame which is found under the frame tab. Decoration frames are PNG files that have a transparent part to allow the image show through. These frames can be very easily created with Jasc PaintShop Pro. The third frame is called Canvas. By specifying canvas borders (left, top, right and bottom), you can obtain a frame like effect for your image. This belongs to image enhancing and can be found under Image menu.

Image watermark and background image both refer to images but the former is a watermark that will appear on your background image. A background image is the image you are watermarking.


Install and uninstall

Install

PhotoWatermark Professional comes with a setup program when you run it, PhotoWatermark Professional will be setup on your computer. Do not alter the default settings for this setup if you are not advanced user. A program icon will be placed on your desktop by default. A PhotoWatermark Professional 6 program group will also be created in your programs.

Uninstall

For any reason that you decide not to keep PhotoWatermark Professional on your computer, you can remove it using the remover that has been installed in the PhotoWatermark Professional 6 program group or the Windows Add/Remove programs in the Control Panel.

See also:
Why installation fails


Language

When you first run PhotoWatermark Professional, it will try to load the language that matches your system default if available. Otherwise, the default language English will be used.

PhotoWatermark Professional uses a technology that allows customization of the language interface by the end user. Almost all menu text, hints and most messages can be customized to fit your needs. All you need to do is to go to Options/Language menu and see if there is a language that matches your system default. If there is one, you can click Edit current language to change the current language and if not, there will be a menu called Translate into x (where x is replaced by the name of your system default language).

The only official language is English. All other languages are contributed by users and may not be complete. If you do not like the translation or find a language is not complete, you are encouraged to complete it. In this case, we could appreciate your sending the completed language file back so that more people can share it. However, this is totally voluntary. The only compensation will be a complimentary one-year license issued to you if you do not have subscription yet.


Open image files

Using explorer tree

When you first run PhotoWatermark Professional, it will try to show all pictures in your "My Pictures" folder if it is available on your system. If not, it will stop at the Desktop.

If there are images in the selected folder, you should see the thumbnails at the bottom of the main window and the first image in the list will be loaded for preview purpose. If you do not see any images in the list, you will need to choose another folder or click File/Recursive to try to list photos in the subfolders.

Using File/Open command

You do not need to run the File/Open command unless you do not want to list all the pictures in a folder. The File/Open command supports multiple selections and you can use a combination of Shift or Ctrl key with mouth clicks which is the standard way of doing this in Windows platform. All images in the list will be processed when you run any batch commands (batch watermark images, batch process images, batch rename images, batch print images).

See also:
File menu
Features


Create your first watermark

As soon as you have images in the file list, the first image in the list will be loaded in the preview window. However, you can easily load a different image by clicking the corresponding thumbnail in the file list. The image shown in the preview window will never be touched. It is there for you to design and preview your watermarks. You should switch to different images in the list to check how your watermarks look like before you perform batch watermarking.

As soon as an image is loaded in the preview window, you are ready to create your first watermark. And you have to create at least one watermark in order to watermark your pictures. You do not need to do so if you just want to perform batch process images (convert, resize, rename combination), batch rename, or batch print.

Creating a watermark

A watermark can be an image, a text or a drawing. All these kinds can be found under the Watermark menu. You should start with a simple text watermark and see how the program works. Therefore, for your first watermark, please click Watermark/Text.

Change its content

A text watermark with the default "Enter your text" will be created overlaying your preview image and selected. If you move your mouse to the Watermark editor window and click the edit box there, you will be able to change this default text to whatever you want. Here we use "Your company".

Adding a copyright symbol

If you decide to add a copyright symbol, move your cursor to wherever you want (let's assume beginning of the text here), click menu Symbol/©. The text watermark will turn into "© Your company".

See also:
Watermark menu
Position and size your watermarks
Insert EXIF or other data into text watermark


Position and size your watermarks

Position watermark

When you first create this watermark, it is automatically assigned a random position attribute. If you wish to show it always at the bottom-right corner, all you need to do is (while the watermark is selected) to click the position icon in the Watermark editor. The position icons are 9 squares and can be found easily. You can only have one of the nine positions so if you choose another one, the previous position icon will turn into hollow. A solid icon indicates the current position of the selected watermark. If you do not want auto position, you can click the solid icon again to make is hollow. In this case, you are using absolute watermark position which means you may miss the watermark on another picture of smaller size because it is outside the bound of the smaller image.

Size watermark

Watermark size can also be absolute or relative. Relative size covers a consistent percentage of your image size. Both have advantages and disadvantages. This should be your choice. By default, 50% relative size is used when you create the first watermark. If you change the font size, it will turn into absolute size.

See also:
Features


Watermark your pictures

Your pictures will NOT be touched until you explicitly run the watermarking commands. When you are happy with the look of your watermarks, you can either

Save your watermarked pictures one by one

by clicking File/Save current image

or

Save your watermarked pictures in batch

by clicking File/Batch watermark images.

With the File/Save current image command, PhotoWatermark Professional will automatically rename your files in order to avoid conflict and give you a chance to change it before you save. You can overwrite your original picture if you wish after your confirmation.

With File/Batch watermark images, you cannot overwrite your original pictures unless you turn an option Options/Allow me to overwrite source image files (IRREVERSIBLE, you are 100% responsible) on. You will be asked to choose a destination folder which differs from the source.

A combination of resizing, converting and renaming can be specified when you perform watermarking. Watermarking command is what you pay for this program.

See also:
Features
File menu


Batch process images

This command differs from Batch watermark images only in that it does not watermark your pictures. This offers you a free utility for you to resize, convert and/or rename your pictures in batch. For example, if you wish to create thumbnail images, you specify the image size (Image/Image size) in the format of "widthxheight".

See also:
Features
File menu
Specify image size


Specify image size

Image size can be specified with menu Image/Image size. You can either select a predefined image size or type your own. If you type your own, you have to type in a format "widthxheight", e.g. 123x88, or percentage, e.g. 35%, or "width", e.g. 1024. The former is absolute size and the latter is relative. When you type your own, you have to press ENTER key to accept the change.

See also:
Image menu


Convert images

PhotoWatermark Professional can load and save JPEG, GIF, PNG, Bitmap, TIFF, JPEG2000 images so conversion can be done between them. If you wish to save all your pictures as "JPEG", you choose the JPEG tab in the Convert and rename options window. You do so with others. If you do not want to perform conversion, you choose the "As is" tab. Raw image files cannot be saved. Therefore, they will be converted into JPEG unless you explicitly choose another format.

See also:
Digital camera raw image support
Batch process images
Watermark your pictures
File menu


Rename images

PhotoWatermark Professional employs a very robust technique for renaming files. The rename template can include sequence number, date time picture taken in various format, any EXIF or IPTC tags. Date and time picture taken in the rename template uses standard date and time format string.

Here are some examples:

· If you want to number your files in format of 00x, specify a template of ###
· If you want to number your files with a prefix "Vic" and 0x, specify "Vic"##. You must enclose "c" in double quotes since c will be replaced by date and time if not.
· Lets see you have 2000 files taken in a year and you want to number them with the year and number, you can specify yyyy_####. This will be replaced by 2004_0001 to whatever number of pictures you have.
· If you want to name your files using date and time, you could specify yymmdd_hhnnss, which will be something like 040125_123248.
· The formats are virtually unlimited. You should safely play with it.

See also:
Features
File menu Format date and time
File menu


Animated GIF

PhotoWatermark Professional is the only product on the market that can watermark animated GIF frame by frame and save them back as animated GIF. To enable this support, you need to

1) Turn Options/Multipage image support
2) When you save your pictures, you have to specify either GIF or As is as the conversion tab.

If you choose to save them as JPEG, Bitmap, PNG or JPEG 2000, each frame will be saved as a separate file.

See also:
Features


Multipage TIFF

TIFF image can have multiple pages. To enable this support, you need to

1) Turn Options/Multipage image support
2) When you save your pictures, you have to specify either TIFF, or As is as the conversion tab.

If you choose to save them as JPEG, Bitmap, PNG or JPEG 2000, each frame will be saved as a separate file.

See also:
Features


Digital camera raw image support

PhotoWatermark Professional can load the following digital camera raw image files
*.cr2 - Canon Raw Image Format
*.crw - Canon Raw Image Format
*.mrw - Minolta Raw Image Format
*.nef - Nikon Raw Image Format
*.orf - Olympus Raw Image Format
*.pef - Pentax Raw Image Format
*.raf - Fuji Raw Image Format
*.raw - Leica Raw Image Format
*.srf - Sony Raw Image Format
*.x3f - Sigma Raw Image Format

Please note different programs may interpret raw image file data differently. Therefore, slight different colors are expected when you load raw files with different programs. PhotoWatermark Professional only support using the camera's auto white balance to interpret the color.

See also:
Features
Batch process images


Insert your logo

Your logo can be of any of the following image format
Format
Pros
Cons
JPEG
· Common format, easy to create
· Can be true color
· lossy compression algorithm
· Scaling may affect its quality
· No transparency
Bitmap, TIFF
· Common format, easy to create
· Can be true color
· Scaling may affect its quality
· No transparency
PNG
· Common format
· Can have transparency
· Can be true color
· Scaling may affect its quality
· Requires skill to create
GIF
· Common format
· Can have transparency
· Scaling may affect its quality
· Maximum 256 color
JPEG 2000
· Good compression algorithm
· Scaling may affect its quality
· Not popular
Windows Meta file
· Common format
· Easy to create with Microsoft Word or PowerPoint
· Can be transparent
· Scaling does not degrade quality

Icon file
· Can have transparency
· Limited format

To insert an image watermark, click Watermark/Image.

PhotoWatermark Professional supports some image manipulation for the inserted images. All commands can be found under Edit/Image effect menu. These commands are for advanced users only.

See also:
Edit menu


Format image file information

Image file info format strings are composed from specifiers that represent values to be inserted into the formatted string.

In the following table, specifiers are given in lower case. Case is ignored in formats.

Specifier | Displays
f | Displays file name without extension, e.g. imagefile
ff | Displays file name with extension, e.g. imagefile.jpg
fff | Displays file folder, e.g. c:\my pictures
ffff | Displays full path to the file, e.g. c:\my pictures\imagefile.jpg.
s | Displays original file size in KB, e.g. 121KB.
ss | Displays original file size in bytes, e.g. 121,088.
w | Displays original image width in pixels, e.g. 1024.
ww | Displays target image width in pixels, e.g. 640.
h | Displays original image height in pixels, e.g. 768.
hh | Displays target image height in pixels, e.g. 480.
c | Displays image color depth in bit, e.g. 24 bit.

See also:
Insert EXIF or other data into text watermark
Rename images


Format date and time

Date Time format strings are composed from specifiers that represent values to be inserted into the formatted string.

In the following table, specifiers are given in lower case. Case is ignored in formats, except for the "am/pm" and "a/p" specifiers.

Specifier | Displays
c | Displays the date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the date-time value indicates midnight precisely.
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.
dddd | Displays the day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.
ddddd | Displays the date using the format given by the ShortDateFormat global variable.
dddddd | Displays the date using the format given by the LongDateFormat global variable.
ddddddd | Displays the No. of day of the year.
e | (Windows only) Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).
ee | (Windows only) Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).
g | (Windows only) Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).
gg | (Windows only) Displays the period/era as a full name. (Japanese and Taiwanese locales only).
m | Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | Displays the month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.
mmmm | Displays the month as a full name (January-December) using the strings given by the LongMonthNames global variable.
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
h | Displays the hour without a leading zero (0-23).
hh | Displays the hour with a leading zero (00-23).
n | Displays the minute without a leading zero (0-59).
nn | Displays the minute with a leading zero (00-59).
s | Displays the second without a leading zero (0-59).
ss | Displays the second with a leading zero (00-59).
z | Displays the millisecond without a leading zero (0-999).
zzz | Displays the millisecond with a leading zero (000-999).
t | Displays the time using the format given by the ShortTimeFormat global variable.
tt | Displays the time using the format given by the LongTimeFormat global variable.
am/pm | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
a/p | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
ampm | Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.
/ | Displays the date separator character given by the DateSeparator global variable.
: | Displays the time separator character given by the TimeSeparator global variable.
'xx'/"xx" | Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.

See also:
Insert EXIF or other data into text watermark
Rename images


Format age watermark

Age format strings are composed from specifiers that represent values to be inserted into the formatted string.

In the following table, specifiers are given in lower case. Case is ignored in formats.

Specifier | Displays
y | Displays age in years. If less than a year, this value is 0.
m | Displays the No. of months in addition to the year. If less than a month, this value is 0.
mm | Displays the total number of months, e.g. 1 year 3 months will be displayed as 15.
d | Displays the No. of days in addition to the year and month. If less than a day, this value is 0.
dd | Displays the total No. of days, e.g., 1 year, 5 months and 2 days will be displayed as 519.

See also:
Insert EXIF or other data into text watermark


Format sequence number

Use # to represent a digit and the start number separated by "|'.

For example,

If you want to mark your sequence number in format of 001, 002...999, use ###.
If you want to mark your sequence number in format of 01, 02...99, use ##.
If you want to mark your sequence number in format of 1, 2...10..100, 1000... use #.
If you want to mark your sequence number in format of 010, 011..., use ###|10.

See also:
Insert EXIF or other data into text watermark


Insert EXIF or other data into text watermark

PhotoWatermark Professional is the most flexible and robust product on the market in terms of text watermark. You can include a lot of image specific data which are automatically updated with each image.

To insert a symbol

You move your cursor to where you want to insert, click Symbol menu item and choose the whatever symbol you want. Symbols are lively updated with the fonts you choose so you always know exactly you are doing.

To insert image file info, sequence number, today's date and time, EXIF or IPTC tag, click Insert menu item.

· For date and time data, e.g. today, date and time picture taken, you use the standard date and time format string.
· For image file info data, you use image file info format string

See also:
Rename images
Create your first watermark


Enhance images

PhotoWatermark Professional is not an image editor like Adobe PhotoShop or Jasc PaintShop Pro. However, it offers you some simple tools to manipulate your background images. These include
· Drop shadow
· Canvas border
· Rotation and flipping
· Sharpen and soften
· Gray scale, negative, sepia
· Change of red, green and blue channels
· Change of hue, saturation, and luminosity
· Change of brightness, contrast and gamma
· Filtered resampling
· Crop
· Collage

All the above commands can be processed in batch mode.

See also:
Image menu
Batch process images
Watermark your pictures


Crop images

To crop an image, you click the crop tab and define a crop window there. The cropped image is reflected in the preview window.

You can define a relative crop window of in 4x3 or 3x2 aspect ratio. This ratio automatically applies to all images in the list.

You can define a custom crop window by dragging a rectangular area with your mouse for each picture and batch process all of them.

If you turn the Options/Save and use saved crop windows, your custom crop windows will be saved and loaded next time you visit this folder.

See also:
Features
Batch process images


Work with landscape and portrait photos

Although PhotoWatermark Professional has included lot of features for you to create consistent watermarks, you may want to have watermarks for landscape and portrait photos separately.

· To list all landscape photos, click File/Landscape.
· To list all portrait photos, click File/Portrait.


Decoration frames

PhotoWatermark Professional comes with a few decoration frames and you can create your own or download more from the website. These frames are PNG files with transparent areas and the images will be shown through the transparent areas. These frames are defined for images of 640x480 in dimension. Any larger images will cause the frames to enlarge and the quality is degraded.

To apply a frame to all your pictures, click the Frame tab and choose a frame from the list and click Frame/Use.

If you create your own frames, you can create them in any size and you should place them in a folder called "Frames" under the "My documents\My watermarks". They will be listed automatically and ready for you to apply.

To clear the frame, click Frame/None.

See also:
Features


Watermark library

There are a few examples in the watermark library. They contains specific text styles.

You can save your favorite watermark as a library item and reuse it in the future. This saves you time with your frequently used watermarks.

We recommend you save any watermark as library item, especially ones that took you some time to develop.

You can save any watermarks (text, image, your logo) as library items. They are watermark files containing single watermark. Previous PNG watermark library can still be recognized.

See also:
Features
Text styles online


Work with watermark files

Watermark files are physical files on your hard drive. All watermark files must be stored in folder "My documents\My watermarks". Watermark files have an extension .wmk. It is proprietary to PhotoWatermark Professional and cannot be opened with other programs.

Each watermark file can contain any number of watermarks of any kinds.

For different watermarking purposes, you can create several watermark files. To switch a file is just a single click.

Watermark files can be deleted and renamed to meet your specific needs. Commands are under File/Watermark file.

See also:
Features
File menu
Before you start


Command line switches

PhotoWatermark Professional supports the following command line switches:

· /s - Optional. This switch specifies the source folder. The actual folder string (in double quotes if folder path has space) must follow this switch. If this parameter is ignored, PhotoWatermark Professional will open the last visited folder.
· /d - Required. This switch specifies the destination folder. The actual folder string (in double quotes if folder path has space) must follow this switch. If this is ignored, PhotoWatermark Professional will run normally.
· /w - Optional. This switch specifies the default watermark file. You do not need to specify the folder because PhotoWatermark Professional will assume it is in the default "My Watermarks" folder. The ".wmk" extension is not necessary either. If this is an in existing file, PhotoWatermark Professional will use the one you used last time. If this parameter is ignored or no watermark files are available, PhotoWatermark Professional will run as normal and create a new watermark file for you to work interactively.
· /h - Optional. If specified, the main interface is hidden.
· /recursive - optional. If specified, it lists files recursively.
· /landscape - optional. If specified, it lists only landscape files. Cannot combine with /portrait option
· /portrait - optional. If specified, it lists only portraint files. Cannot combine with /landscape option.
· /convert - optional. If specified, it does batch conversion instead of watermarking.
· /noflash - optional. If specified, it does not show flash screen. No effect with other switches.

When proper parameters are specified, PhotoWatermark Professional will open the source folder, load the watermark file and begin batch watermarking automatically.
When automatic watermarking is triggered, PhotoWatermark Professional will skip files in the destination folder. When automatic processing is finished, PhotoWatermark Professional will close itself unless the user cancels it.

Here is an example:
watermark /s "c:\my pictures" /d c:\output /w "Watermark (2)" /h


How do I purchase Watermark Professional

Purchase

PhotoWatermark Professional can be purchased online at http://www.photowatermark.com/member/signup.php

Licenses

You purchase the licensed version of PhotoWatermark Professional with a term of free upgrades. One year free upgrade is the minimum. A lifetime free upgrade can also be purchased.

Payment options

Most major credit cards e.g. Visa, Master card, American Express, Discover, and e-check.

Download insurance

Registered users have access to the most recent version of your product whenever you need it in your subscription term. So you don't need to worry about computer crash.


Why installation fails

The most common reason for installation failure is the program is running while performing the upgrade installation. The solution is simple: Quit PhotoWatermark Professional before performing the installation. In rare occasion, PhotoWatermark Professional may still be running even it looks like not running. You can reboot your machine and immediately run the installation after reboot.

See also:
Install and uninstall
Other installation troubles


Why do my watermarks disappear on certain pictures

The usual reason is that you are using absolute positions for your watermarks, in which case if you have pictures of different sizes, your watermarks are actually outside these pictures.

Solution:

· Use auto positions for your watermarks. This can be done with the position icons in the watermark editor.
· Specify image size so that your watermarked pictures will all have the same dimensions.
· Use Move in bound. This can be done by right clicking on the photo in preview mode and selecting Move/Move in bound.

See also:
Position and size your watermarks
Edit menu
Image menu


Other installation troubles

1. When loaded, a big white block appears in the top left corner, with the label :Search".
This is because you loaded the new version in the old version folder where the watermark.ini file is retained. Since there are many changes in V6, the old watermark.ini file is not compatible with the new one. Please delete watermark.ini from the program folder and rerun the program. This usually resolves the problem immediately.

1. The program starts with the splash screen and then loads the rest of the program. The only thing I get is an hour glass and nothing else. I can select my old watermarks and open the upper menus and even select a graphic to watermark but it never loads. I'm stumped.
This problem has been resolved by doing the following two things:
· Delete watermark.ini from the program folder.
· Backup all your watermark files in "My Documents\My watermarks" folder and delete them and run the program again.
If you wish to put your watermark files back, you may have to modify them because they are not compatible with PhotoWatermark Professional V6.

See also:
Install and uninstall
Why installation fails


How do I run PhotoWatermark Professional on MacOS

PhotoWatermark Professional can only be run under MacOS if you have a Mac version of Virtual PC with the proper Windows installed on the Virtual PC available. For more information about Virtual PC for Mac, please visit http://www.microsoft.com/mac/products/virtualpc/virtualpc.aspx?pid=virtualpc.

See also:
System requirements


How does PhotoWatermark Professional offer complete digital photo protection

Since PhotoWatermark Professional integrates your watermark into your photos, no one can remove your watermark from your images without damaging the integrity of them. Only the author has full control over his/her watermark since the author works with the original images. This idea is very similar to the Adobe PDF document except that PDF allows the user to make minor changes if allowed by the author. Please ALWAYS keep a copy of your original files since NO software program INCLUDING PhotoWatermark Professional will be able to remove the watermark from your pictures. If you have deleted your original files, please do not hold us responsible, because we cannot recover your pictures.


Can anybody remove my watermark with PhotoWatermark Professional

NO one can remove your watermark without damaging the integrity of your images.


Can I get free upgrade service

When you purchase PhotoWatermark Professional, you automatically get unlimited free upgrades for a year from your date of purchase. After a year, you can renew it at a discounted price. If you purchase the lifetime free upgrade license, you will have free upgrades forever.


Can I create an invisible watermark with PhotoWatermark Professional

Since some users really want an invisible waterwark and don't care about full-protection; use the adjustable transparency setting: Each watermark can have its own transparency level between 0 and 100. 0 means totally opaque and 100 means totally transparent.


Can I have a logo scalable without loss of quality

Yes. You can create your logo in vector format and paste or insert your logo into PhotoWatermark Professional. Unlike bitmap image in which you loose quality (pixelation) when you enlarge it, this vector image can be resized without loosing quality. Programs that can be used to create vector logos include MS Word or PowerPoint, Adobe Illustrator, Macromedia Flash or FreeHand or any other program that can create vector image and save or copy to clipboard as enhanced meta file.

See also:
Insert your logo


How do I create emboss-like watermark

Select the watermark and click Format/Emboss or Engrave.

See also:
Format menu
Text styles online


Can I have my name watermarked repeatedly on the photo at regular distances

Yes, you can. There are two ways of doing this:

· Create your name as text watermark, choose the style you want except embossing or engraving. Keep it selected. Then go to Edit/Tile selected watermarks.
· Create your name in any other program and save it as an image. Then, create a frame watermark (Watermark/Frame) and fill it with that image. You can have alpha channel in your image.

See also:
Edit menu


Why do I get "Error" watermarks

If a text watermark displays "Error", it contains an empty string due to
· you did not type any text
· you have included image specific data but these data are not available in the image, e.g. EXIF data

This error watermark can only be displayed at design time. It will be removed on your watermarked images.


Is it possible to pause processing?

While processing in progress, press "p" to pause and press "p" again to resume.


Why PhotoWatermark Professional hangs?

Innershadow watermarks on large output images take long time to render, in which case the program may looks hanging. A test on a 3GHZ PVI machine may take over 10 hours to render a innershadow watermark on output image size of greater than 12 MegaPixels. We recommend to use web resolution as output.

Program can also hang if some unhandled exception occurs.

In both cases, you can use Windows taskmanager (press Ctrl+Alt+Del) to end the program.


File menu

· Watermark file
· Auto load last watermark file: if checked, PhotoWatermark Professional will load the last watermark file at startup.
· Auto save watermarks: if checked, PhotoWatermark Professional will save your changed watermarks automatically. WARNING: Your original PhotoWaterMark will be lost. You can use the Edit/Undo function to bring them back.
· New watermark file: create a new empty watermark file.
· Delete watermark file: delete the selected watermark file.
· Rename watermark file: rename the selected watermark file.
· Import watermarks from external file.
· Export watermarks to external file.
· Open: open a number of files for processing.
· Save current image: save current watermarked image.
· Print current image: print current watermarked image.
· Refresh: reload image file list.
· Recursive: if checked, all images in the selected folder and its subfolders are listed.
· Landscape: if checked, only list landscape pictures.
· Portrait; if checked only list portrait pictures.
· Files of type: files of type to list.
· Sort: sort image files according to one of the 60 variables.
· Batch watermark images.
· Batch process images: same as batch watermark images except images are not watermarked.
· Batch rename images.
· Batch print images.
· Exit.


Image menu

· Image size: choose from a predefined image size or type your own. You have to type in the format of "widthxheight" or percentage or "width". You must press ENTER to accept the change.
· Resample filter: choose one of the 11 resampling filters to resize your images.
· Setting
· Maintain aspect ratio: when checked, image resize does not change aspect ratio.
· Large only: when checked, only large images are shrunk.
· Keep long side: when checked, image resize uses the long side. For example, a landscape picture will end up with 640x480 and a portrait one ends up with 480x640 instead of 360x480.
· Enlarge canvas to fit watermark: if the watermark size is greater than your background picture, this option allows PhotoWatermark Professional to enlarge the image to fit the largest watermark and fill the area with white color.
· Canvas
· Drop shadow: create a drop shadow effect for the background image
· Enable drop shadow
· Radius
· X offset
· Y offset
· Reset canvas: reset all four canvas borders below to zero
· Left
· Top
· Right
· Bottom
· Rotate: rotate or flip background image
· Rotate90
· Rotate180
· Rotate270
· Flip horizontal
· Flip vertical
· Sharpen: sharpen or soften background image
· Sharpen
· Soften
· Color: change color scheme of the background image
· Negative
· Gray scale
· Sepia
· RGB: change RGB components of the background image
· Red
· Green
· Blue
· HSL: change hue, saturation and luminosity of the background image
· Hue
· Saturation
· Luminosity
· BCG: change brightness, contrast and gamma of the background image
· Brightness
· Contrast
· Gamma
· Reset: reset all image variables under this menu.


Edit menu

· Undo: undo last change. PhotoWatermark Professional supports unlimited undos and redos.
· Redo: redo last change
· Copy: copy selected watermarks to clipboard in a proprietary format.
· Cut: = copy + delete
· Paste: paste from clipboard. In addition to its proprietary format, PhotoWatermark Professional supports Windows meta and bitmap clipboard formats. Therefore, if you copy a bitmap image or vector image as Windows meta format from another application (e.g. Word, PowerPoint), you can past them into PhotoWatermark Professional as an image watermark.
· Delete: delete selected watermarks.
· Tile selected watermarks: create a frame watermark filled with the an image of the selected watermarks in tile mode. This repeats your company name or logo on the background image.
· Reset image size: in case you have changed the size of image watermarks, this command restores their original size.
· Make image current size: in case you have changed the size of image watermarks, the stored image has not been changed. This gives a lot of overhead in manipulating this the image watermark, you can click this command to make the stored image to the current size.
· Crop: this command is used to crop the image watermark. You need to define a region with the Watermark editor in order to activate this command.
· Clear selection: clear the crop selection in the Watermark editor in stead of clearing the selected watermarks.
· Set transparent color: when checked, you are in a mode to choose a pixel as the transparent color in the Watermark editor.
· Set image transparent: toggle image watermark transparency. If the image has an alpha channel, it is used. Otherwise, it will use the bottom left pixel as the transparent pixel.
· Image effect: apply special effect to the image watermark
· Create image from selected watermarks: not all watermarks are image. However, this command can turn any watermarks into an image watermark which means you loose control over the text.
The following are all special effect filters that can be applied to image watermark
· Add noise
· Antialias
· Blur
· Circle
· Emboss
· Mosaic
· Tile
· Trace
· Twist
· Gray scale
· Rotate
· Flip horizontal
· Flip vertical
· Select watermark: select a watermark from the list. Here you can see all the watermarks you have even if they are not visible.
· Select all: select all watermarks.
· Select invert: select those watermarks that are not selected.
· Select none: unselect all watermarks.
· Group: grouping does only make a number of watermarks to move together. There is no other related function.
· Group: group selected watermarks
· Ungroup; ungroup already grouped watermarks.
· Order: change the order of the watermark
· Sender to bottom
· Bring to top
· Size: enlarge or shrink the size of watermark proportionally
· Grow
· Shrink
· Move
· Move in bound: in case watermarks are outside the bound of your background image, this command can bring them in.
· Move left
· Move right
· Move up
· Move down
· Align or distribute: align or distribute watermarks
· Align left
· Align center
· Align right
· Align top
· Align middle
· Align bottom
· Distribute horizontally
· Distribute vertically


Format menu

· Transparency: choose or type in a transparency value between 0 and 100. 0 means totally opaque and 100 means totally transparent.
· Watermark size in relation to image size (%): specify the watermark size in relation to the background image size.
· Emboss: apply emboss style to the watermark.
· Engrave: apply engrave style to the watermark.
· Shadow: the following parameters are used to setup the shadow style for watermarks.
· Enable shadow
· Shadow 3D
· Inner shadow
· Radius
· X offset
· Y offset
· Smooth: if checked, the watermark is rendered smoothly.
· Text auto size: if checked text watermark automatically sizes it self. You cannot manual change.
· Fill: this drop down menu allows you to change the filling style for text and shape watermarks. You can choose not to fill if you click None.
· Stroke: this drop down menu allows you to change the outline color and width for text and shape watermarks.
· Font: this drop down menu allows you to change font name, angle, size, styles, colors for your text watermarks. It works very similarly to word processing programs.
· Font name: show a list of available font names in your system for you to choose. Only true type fonts are listed.
· Font size: choose or type in a number indicating the font size. This command overrides the above Watermark size in relation to image size (%) command.
· Font angle: choose or type in a number indicating the orientation of your text.
· Font bold
· Font italic
· Font underline
· Font strike out
· Align left: align lines to the left edge for multiline text watermark
· Align center: align lines to the center for multiline text watermark
· Align right: align lines to the right edge for multiline text watermark


Watermark menu

· Select: when checked, you click a watermark and select it.
· Line: when checked, drag your mouse to create a line watermark.
· Box: when checked, drag your mouse to create a box watermark.
· Ellipse: when checked, drag your mouse to create an ellipse watermark.
· Polygon: when checked, drag and click your mouse to create a polygon watermark, double click to end and close the polygon.
· Text: insert a text watermark with default text "Enter your text'. You can change its content with the Watermark editor. See also Insert EXIF or other data into text watermark
· Image: insert an image watermark by opening an image from your computer.
· Image file info: insert an image file info watermark. Use Watermark editor to change its format and content. See also Format image file information.
· Age: insert an age watermark. Use Watermark editor to change its format and content. See also Format age watermark.
· EXIF table: insert an EXIF table watermark. Use Watermark editor to change its format and content.
· Date time picture taken: insert a Date time picture taken watermark. Use Watermark editor to change its format and content. See also Format date and time
· Camera model: insert a camera model watermark. This contains the make, and model of the camera. You can also create this with the text watermark.
· Camera setting: insert a camera setting watermark. This contains the F-number, exposure time, ISO and flash status. You can also create this with the text watermark.
· Today: insert Today's date and time watermark. Use Watermark editor to change its format and content. See also Format date and time
· Sequence number: insert a Sequence number watermark. Use Watermark editor to change its format and content. See also Format sequence number
· Frame: insert a frame watermark which is actually a special box that adapt itself to the background image. This box can have stroke, fill property as a regular box does.


Crop menu

This menu only appears when you select the Crop tab.
· 4:3: automatic crop window set at 4:3 aspect ratio. This window is always centered and applies to all your images in the list. If you want some pictures having a different crop window, go to those pictures and manual define the crop window.
· 3:2: automatic crop window set at 3:2 aspect ratio. This window is always centered and applies to all your images in the list. If you want some pictures having a different crop window, go to those pictures and manual define the crop window. This is useful if you want 4x6 print and don't want the printing company to crop off your watermarks.
· Clear: clear crop window for the current picture only.
· Clear all: clear crop window for all pictures in the list.
· Apply to all: apply a custom crop window to all images in the list.


Collage menu

This menu only appears when you select the Collage tab.
· Canvas: this is the size of the canvas. You can choose predefined or type in your custom size in widthxheight format.
· # per page: choose from the list the number of pictures per page.
· Margin: chose or type the size of margin in pixels.
· Repeat: if checked, the same picture will be repeated on the page.


Frame menu

This menu only appears when you select the Frame tab.
· Reload frame files
· None: clear the frame.
· Use: use the selected frame.
· Random frame: pick up a frame randomly.


Library menu

· Show library: display the library tab.
· Reload library: reload library watermarks.
· Save as library: save selected watermark as library watermark.
· Insert: insert selected library watermark.


View menu

· Restore all: restore the default interface.
· Old interface: use interface earlier than V4.x
· Standard: toggle display of standard tool bar.
· Formatting: toggle display of formatting tool bar.
· Image: toggle display of image tool bar.
· Folders: toggle display of folders.
· Files: toggle display of files.
· Watermark file/attribute/watermark: toggle display of watermark file/attribute/watermark window.
· Zoom: choose or type a number for background image zoom.
· Theme: show a list of available themes for you to choose.


Options menu

· Check new version at start: when checked, PhotoWatermark Professional will check if there is new version at start.
· Multipage image support: when checked, PhotoWatermark Professional can load all frames of animated GIF and multipage TIFF file.
· Validate images when listing: when checked, PhotoWatermark Professional will be able to exclude those files that have image file extensions but are not actual images, e.g. in a Microsoft FrontPage web folder.
· Process starting at current image: when checked, batch process starts from the current image instead of the first one in the list.
· Convert and rename options: display the Convert and rename options window for you to setup some parameters. You will also have chance of doing so when you perform batch watermarking, processing or renaming.
· Allow me to overwrite source image files (IRREVERSIBLE! You are 100% responsible): if you want to PhotoWatermark Professional to overwrite your source image files, you can check this (not recommended).
· Hide EXIF titles: for EXIF table watermark only.
· Hide empty entries: for EXIF table watermark only. If checked, empty entries are not displayed.
· Open destination folder when processing is complete: when checked, PhotoWatermark Professional will open the destination folder when batch processing is complete.
· Save and use saved crop windows: if checked, PhotoWatermark Professional will save your custom crop windows and reload them when you visit that folder the next time.
· Use zoom filter: if checked, zoom filter will be used for display. This has no effect on the actual image.
· Use relative margin: if checked, the margin parameters (x border and y border in position) uses percentage instead of absolute pixels.
· Use auto position for new watermark: if checked, new watermarks created will be assigned a random auto position attribute. This ensures visibility of your watermarks on all your images. This should keep checked for beginners.
· Language: this popup menu displays the available language files for you to choose. It also allow you to translate the default language file into yours if one is not available. See also Language


Help menu
Previous Top

· Check new version (requires internet connection): check if new version is available online.
· Contents: bring up this help manual.
· Visit online tutorials.
· Visit website: visit PhotoWatermark Professional website.
· About: about PhotoWatermark Professional.


.topic 1
PhotoWatermark Professional - the tool to create professional watermarks

Whether you want to watermark your pictures one-by-one or in batch, PhotoWatermark Professional is the right tool you can rely on. With both power and ease of use, it allows a mixture of text, drawing and graphic watermarks. A variety of text styles including angled, outlined, gradient or texture filled, 3D shadowed, inner shadowed, embossed and engraved texts render you watermarks that speak of professionalism. To include copyright and other symbols in watermarks requires just a single click. The relative watermark position and size give your watermarks a consistent appearance on your products. Transparency setting allows you to choose how your pictures will be presented to your potential customers. Watermarks can extract various EXIF, IPTC and file information from individual photo. Most common graphic formats of JPEG, TIFF, PNG, Bitmap, GIF, JPEG2000 and a number of digital camera raw files are supported. A built-in watermark file manager helps you manage multiple watermarks for different purposes. You can save your favorite watermarks into the watermark library library and reuse later. Real time hints are available for beginners. PhotoWatermark Professional supports a combination of batch watermarking, cropping, converting, resizing, renaming, enhancing, framing and printing. You can expect all these wonderful features, and much more! You are guaranteed to create your first watermark in 60 seconds!

.topic 200
PowerBatch is released as a separate product which contains all PhotoWatermark Professional features EXCEPT watermarking. Our purpose is to provide a nice freeware image utility for those who do not need watermarking.

Please refer to the rest part of the help file for details.

See also:
PhotoWatermark Professional
Features
What is new?